package cn.com.oa.service;

import cn.com.oa.model.FlowInstance;
import cn.com.oa.model.vo.FlowInstanceVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 */
public interface IFlowInstanceService extends IService<FlowInstance> {

    Map<String, Object> getSevenDayFlowIns();

    IPage<FlowInstanceVo> pageAllDealing(Page<FlowInstanceVo> page);

    List<Map<String, Object>> getMaxUseFlows();

    Integer getTotalFlowInsCount();

    List<FlowInstanceVo> listAllDealing();

    List<FlowInstanceVo> getSevenDayFlowInfoIns();
}
